Package org.apache.sling.sitemap.impl.builder.extensions

## Class AlternateLanguageExtensionProvider

- java.lang.Object
- - org.apache.sling.sitemap.impl.builder.extensions.AlternateLanguageExtensionProvider

All Implemented Interfaces:
  `SitemapExtensionProvider`

    public class AlternateLanguageExtensionProvider
    extends Object
    implements SitemapExtensionProvider

### Nested Class Summary

Nested Classes
`static class` `AlternateLanguageExtensionProvider.ExtensionImpl`

### Field Summary

### Fields inherited from interface org.apache.sling.sitemap.spi.builder.SitemapExtensionProvider

`PROPERTY_EMPTY_TAG, PROPERTY_INTERFACE, PROPERTY_LOCAL_NAME, PROPERTY_NAMESPACE, PROPERTY_PREFIX`

### Constructor Summary

Constructors
`AlternateLanguageExtensionProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull AbstractExtension` `newInstance()` Returns a new instance of the extension provided by the `SitemapExtensionProvider`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlternateLanguageExtensionProvider

    public AlternateLanguageExtensionProvider()

### Method Detail

#### newInstance

    @NotNull
    public @NotNull AbstractExtension newInstance()

Description copied from interface: `SitemapExtensionProvider`
Returns a new instance of the extension provided by the `SitemapExtensionProvider`.

Specified by:
  `newInstance` in interface `SitemapExtensionProvider`
Returns: